package com.luojigou.xiaodou.wifi

import android.net.wifi.ScanResult
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.luojigou.xiaodou.R

class XDScanWifiAdapter : RecyclerView.Adapter<XDScanWifiAdapter.ViewHolder>() {
    private val list: MutableList<ScanResult> = ArrayList()

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        val itemView: View =
            LayoutInflater.from(parent.context).inflate(R.layout.item_wifi, parent, false)
        return ViewHolder(itemView)
    }

    override fun getItemCount(): Int = list.size

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        val item = list[position]

        //        holder.alias.text = item.wifiSsid
        //        holder.name.text = item.device.address
    }

    fun setValues(values: List<ScanResult>) {
        list.clear()
        list.addAll(values)
        notifyDataSetChanged()
    }

    fun addValue(value: ScanResult) { //        if (value.device.name != null) {
        //            if (list.firstOrNull { it.device.address == value.device.address } == null) {
        //                list.add(value)
        //                notifyItemChanged(list.size - 1)
        //            }
        //        }
    }

    class ViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        val img = itemView.findViewById<ImageView>(R.id.iv_wifi_rssi)
        val name = itemView.findViewById<TextView>(R.id.tv_wifi_name)
    }
}