package com.luojigou.xiaodou.wifi

import android.annotation.SuppressLint
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.net.wifi.ScanResult
import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.LinearLayoutManager
import com.luojigou.xiaodou.R

@SuppressLint("MissingPermission")
class XDScanWifiNormalFragment(private val host: XDScanWifiStatus.Host) : Fragment() {
    private val wifiScanReceiver = object : BroadcastReceiver() {
        override fun onReceive(context: Context?, intent: Intent?) {
            val scanResults: List<ScanResult> = host.getWifiManager().scanResults
        }
    }

    private val adapter by lazy { XDScanWifiAdapter() }
    private val layoutManager by lazy { LinearLayoutManager(requireContext()) }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?
    ): View {
        return inflater.inflate(R.layout.fragment_scanwifi_normal, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

    }

    override fun onAttach(context: Context) {
        super.onAttach(context)

        val configuredNetworks = host.getWifiManager().configuredNetworks
        Log.d("XDScanWifiNormalFragment", "onAttach: ")
    }

    override fun onDetach() {
        super.onDetach()
    }
}